Subject: Question about fsck-objects output

From: Larry Streepy <[email-masked]>
Date: Thu, 25 Jan 2007 12:22:45 -0600

Sorry to ask such a basic question, but I can't quite decipher the output 
of fsck-objects.  When I run it, I get this:

  git fsck-objects
dangling commit 2213f6d4dd39ca8baebd0427723723e63208521b
dangling commit f0d4e00196bd5ee54463e9ea7a0f0e8303da767f
dangling blob 6a6d0b01b3e96d49a8f2c7addd4ef8c3bd1f5761

Even after a "repack -a -d" they still exist.  The man page has a short 
explanation, but, at least for me, it wasn't fully enlightening. :-)

The man page says that dangling commits could be "root" commits, but since 
my repo started as a clone of another repo, I don't see how I could have 
any root commits.  Also, the page doesn't really describe what a dangling 
blob is.

So, can someone explain what these artifacts are and if they are a problem 
that I should be worried about?

Thanks,
Larry.